﻿
$ErrorActionPreference = 'Stop';
$url32        = 'http://dl.delivery.mp.microsoft.com/filestreamingservice/files/060910a6-e6b7-4c16-8f0f-c4234e8e4057/MicrosoftEdgeDevEnterpriseX86.msi'
$url64      = 'http://dl.delivery.mp.microsoft.com/filestreamingservice/files/91582f06-f58a-4144-ad79-5682729a86b5/MicrosoftEdgeDevEnterpriseX64.msi'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  fileType      = 'MSI'
  url           = $url32
  url64bit      = $url64

  softwareName  = 'Microsoft Edge Dev'

  checksum32      = '20e915b59ff69d5c5408f246b1b127a6d960ade1f8cc26a61b7d9f45b7b92c44'
  checksumType  = 'sha256'
  checksum64    = '97b785526b32942ebd34b1d4c122dfe278b900e684a8d38a87b62b1e1b9279e4'
  checksumType64= 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs










    








